#include "ADuC7026.h"
#include <stdint.h>

//----------------------------
//Low LEVEL STARTUP ROUTINE 
//----------------------------

//This Function cannot rely on a initialised .data section or a cleared .bss section!
void low_level_init(void (*reset_addr)(), void (*cstartaddr)())
{	
	//Set Power Mode: "all active" and "fastest CPU-clock"
	//Writing Key-Values to POWKEY1/2 before and after is required to access POWCON
	POWKEY1 = PKey1_Val;
	POWCON  &= ~(Active_Mode|CLK41MHz);
	POWKEY2 = PKey2_Val;
	
	//Setup Ports 3 and 4 as GPIOs (->done by default)
	//Setup the used GPIO-Ports (4.x as Input(default)/3.x as Output)
	GP3DAT |= (Pin1_Dir|Pin2_Dir|Pin3_Dir|Pin4_Dir|Pin5_Dir|Pin6_Dir|Pin7_Dir);
	
}
